#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service cargo_audit
Name:           obs-service-%{service}
Summary:        An OBS source service: Audit vendored Rust crates for security issues
License:        MPL-2.0
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/obs-service-%{service}
Version:        0.1.8~6
Release:        1.1
Source:         %{name}-%{version}.tar.xz
Source99:       obs-service-cargo_audit-rpmlintrc
BuildRequires:  cargo-packaging
BuildRequires:  python3 >= 3.8
Requires:       cargo-audit
Requires:       cargo-audit-advisory-db
Requires:       python3 >= 3.8
ExclusiveArch:  %{rust_tier1_arches}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An OBS Source Service that will audit vendored Rust
crates (libraries) for security issues

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{service} %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{service}.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%doc README.md
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Tue Jun  6 2023 william.brown@suse.com
- Update to version 0.1.8~6:
  * fix: include zstd decompression for tarballs (#8)
  * Update to exclude broken packages
  * Resolve typo in do_scan
  * Improve do_scan
  * improve do_scan :)
  * Updates
  * Fix workspace scanning
  * Improve output to show fast/slow path updates
  * Resolve issue with multibuild tests
  * Improve handling when a lock is requested but not existing
* Fri Jun 10 2022 William Brown <william.brown@suse.com>
- Enforce python 3.8 or greater
* Wed Apr  6 2022 william.brown@suse.com
- Update to version 0.1.8~1:
  * Update to improve bulk update commands
* Wed Mar 30 2022 William Brown <william.brown@suse.com>
- Resolve issue with obs install check on non-tier1 arches
* Fri Mar 11 2022 william.brown@suse.com
- Update to version 0.1.8~0:
  * Fix workspace scanning
  * Improve output to show fast/slow path updates
  * Resolve issue with multibuild tests
  * Improve handling when a lock is requested but not existing
  * Improve do_scan for querying specific rustsec ids
  * Improve tool to allow scanning of an individual advisory
  * Fix do_scan to use nsjail
  * Improve audit to generate lockfiles and keep working dir clean
  * Allow running services before scan
  * Add more docs
* Tue Feb 15 2022 william.brown@suse.com
- Update to version 0.1.7~0:
  * Improve handling when a lock is requested but not existing
  * Improve do_scan for querying specific rustsec ids
  * Improve tool to allow scanning of an individual advisory
  * Fix do_scan to use nsjail
  * Improve audit to generate lockfiles and keep working dir clean
  * Allow running services before scan
  * Add more docs
  * Allow cargo audit to auto-unpack sources
  * Add a default srcdir parameter to cargo_audit, and make do_scan able to unpack and scan sources
  * Improve output and lockfile handling
* Wed Jul 21 2021 wbrown@suse.de
- Update to version 0.1.6~git0.d8133c2:
  * Allow cargo audit to auto-unpack sources
  * Add a default srcdir parameter to cargo_audit, and make do_scan able to unpack and scan sources
  * Improve output and lockfile handling
  * generate Cargo.lock from Cargo.toml if not present (#2)
  * Update options for offline operation.
* Mon Jul  5 2021 wbrown@suse.de
- Update to version 0.1.5~git0.01fea16:
  * Allows non-scm packages in obs to be scanned for vulnerabilities
* Tue Jun  8 2021 wbrown@suse.de
- Update to version v0.1.4~git0.a3c7623:
  * Add a default srcdir parameter to cargo_audit, and make
    do_scan able to unpack and scan sources
* Wed Jun  2 2021 wbrown@suse.de
- Update to version 0.1.3~git0.4f7c8fc:
  * Add support for selecting a unique lockfile in service usage
* Thu May 20 2021 wbrown@suse.de
- Update to version 0.1.2~git0.e25df37:
  * generate Cargo.lock from Cargo.toml if not present (#2)
* Wed May 19 2021 wbrown@suse.de
- Update to version 0.1.1~git0.a3a0827:
  * Add outdir parameter
* Tue Mar  9 2021 William Brown <william.brown@suse.com>
- Initial Release
